> ## Documentation Index
> Fetch the complete documentation index at: https://docs.modempay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a transfer



## OpenAPI

````yaml /openapi.json post /v1/transfers
openapi: 3.0.3
info:
  title: Modem Pay API
  description: Modem Pay public API for payments, transfers, customers, and transactions.
  version: 1.0.0
servers:
  - url: https://api.modempay.com
security:
  - BearerAuth: []
paths:
  /v1/transfers:
    post:
      summary: Create a transfer
      operationId: createTransfer
      parameters:
        - name: Idempotency-Key
          in: header
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - amount
                - currency
                - network
                - account_number
                - beneficiary_name
              properties:
                amount:
                  type: number
                  example: 100
                currency:
                  type: string
                  example: GMD
                network:
                  type: string
                  example: afrimoney
                account_number:
                  type: string
                  example: '7012345'
                beneficiary_name:
                  type: string
                narration:
                  type: string
                metadata:
                  type: object
                  additionalProperties: true
      responses:
        '201':
          description: Transfer created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Transfer'
components:
  schemas:
    Transfer:
      type: object
      properties:
        id:
          type: string
          format: uuid
        amount:
          type: number
        currency:
          type: string
        status:
          type: string
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use your Modem Pay secret key.

        - **Test environment:** Use your `sk_test_...` key.

        - **Production environment:** Only use `sk_live_...` on your personal,
        secure machine. Do NOT share or commit your production keys.

````